Name: kde-edu-kig
Summary: Interactive Geometry
Version: 4.14.3
Release: %mkrel 3
Group: Graphical desktop/KDE4
License: GPLv2+
URL: https://projects.kde.org/projects/kde/kdeedu/%{name}
Source0: http://download.kde.org/stable/%{version}/src/kig-%{version}.tar.xz
BuildRequires: boost-devel
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: python-devel python
Requires: kde-runtime >= %{version}
Requires: kate-part >= %{version}

%description
Kig is a program for exploring geometric constructions.

%files
%defattr(-,root,root)
%{_kde_bindir}/kig
%{_kde_bindir}/pykig.*
%{_kde_libdir}/kde4/kigpart.*
%{_kde_datadir}/applications/kde4/kig.desktop
%{_kde_datadir}/appdata/kig.appdata.xml
%{_kde_iconsdir}/hicolor/*/*/kig.*
%{_kde_iconsdir}/hicolor/*/*/application-x-kig.*
%{_kde_appsdir}/katepart/syntax/python-kig.xml
%{_kde_appsdir}/kig/
%{_kde_datadir}/kde4/services/kig_part.desktop
%{_mandir}/man1/kig.*
%{_kde_docdir}/HTML/*/kig/*

%prep
%setup -q -n kig-%version
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Geography" \
  --remove-category="ComputerScience" \
  --add-category="X-MandrivaLinux-MoreApplications-Education-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

%clean
rm -fr %buildroot

%changelog
* Tue Jul 21 2015 pinoc <vogtpet at gmail.com> 4.14.3-3pclos2015
- rebuild on 15.04.3

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 4.14.3-2pclos2015
- rebuild on 15.04

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

* Wed Mar 05 2014 pinoc <vogtpet at gmail.com> 4.12.3-1pclos2014
- 4.12.3

* Wed Jan 08 2014 pinoc <vogtpet at gmail.com> 4.11.5-1pclos2014
- 4.11.5

* Wed Nov 06 2013 pinoc <vogtpet at gmail.com> 4.11.3-1pclos2013
- 4.11.3

* Tue Jul 2 2013 pinoc <vogtpet at gmail.com> 4.10.5-1pclos2013
- 4.10.5

* Tue Jun 5 2013 pinoc <vogtpet at gmail.com> 4.10.4-1pclos2013
- 4.10.4

* Tue Mar 12 2013 pinoc <vogtpet at gmail.com> 4.10.1-1pclos2013
- 4.10.1

* Thu Jan 17 2013 pinoc <vogtpet at gmail.com> 4.9.5-1pclos2013
- 4.9.5

* Wed Oct 10 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.9.2-1_archie_2012
- update

* Wed Sep 12 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.9.1-1_archie_2012
- update

* Sat Aug 04 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.9.0-1_archie_2012
- update

* Fri Jun 01 2012 Neal <nealbrks0 at gmail dot com> 4.8.3-2pclos2012
- process

* Wed May 30 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.3-2_archie_2012
- Rebuild against new packages

* Sat May 05 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.3-1_archie_2012
- 4.8.3

* Sun Apr 15 2012 Neal <nealbrks0 at gmail dot com> 4.8.2-1pclos2012
- process

* Sat Apr 14 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.2-1_archie_2012
- 4.8.2

* Tue Feb 21 2012 Neal <nealbrks0 at gmail dot com> 4.8.0-1pclos2012
- process

* Sun Feb 19 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.0-1_archie_2011
- Checked build for x86_64

* Sat Feb 18 2012 leiche <meisssw01 at gmail.com> 4.8.0-1pclos2012
- 4.8.0
